FlowProgressHandleImpl
Keywords: net.corda.core.messaging.FlowProgressHandleImpl class
Date: 2023-09-18

net.corda.core.messaging

## Class FlowProgressHandleImpl<A>

- net.corda.core.messaging.FlowProgressHandleImpl<A>

- All Implemented Interfaces:
    FlowHandle<A>, FlowProgressHandle<A>

      public class FlowProgressHandleImpl<A>
      implements FlowProgressHandle<A>

- - ### Constructor Detail

    - #### FlowProgressHandleImpl

          @JvmOverloads
          public FlowProgressHandleImpl(@NotNull
                                                      StateMachineRunId id,
                                                      @NotNull
                                                      CordaFuture<A> returnValue,
                                                      @NotNull
                                                      rx.Observable<java.lang.String> progress,
                                                      @Nullable
                                                      DataFeed<java.lang.Integer,java.lang.Integer> stepsTreeIndexFeed,
                                                      @Nullable
                                                      DataFeed<? extends java.util.List<kotlin.Pair<java.lang.Integer,java.lang.String>>,java.util.List> stepsTreeFeed)

      Parameters:
        `id` - The started state machine's ID.
        `returnValue` - A `interface CordaFuture` of the flow's return value.
        `progress` - The stream of progress tracker events.
        `stepsTreeIndexFeed` - `class DataFeed` of current step in the steps tree, see ProgressTracker
        `stepsTreeFeed` - `class DataFeed` of current steps tree, see ProgressTracker

    - #### FlowProgressHandleImpl

          @JvmOverloads
          public FlowProgressHandleImpl(@NotNull
                                                      StateMachineRunId id,
                                                      @NotNull
                                                      CordaFuture<A> returnValue,
                                                      @NotNull
                                                      rx.Observable<java.lang.String> progress,
                                                      @Nullable
                                                      DataFeed<java.lang.Integer,java.lang.Integer> stepsTreeIndexFeed)

      Parameters:
        `id` - The started state machine's ID.
        `returnValue` - A `interface CordaFuture` of the flow's return value.
        `progress` - The stream of progress tracker events.
        `stepsTreeIndexFeed` - `class DataFeed` of current step in the steps tree, see ProgressTracker

    - #### FlowProgressHandleImpl

          @JvmOverloads
          public FlowProgressHandleImpl(@NotNull
                                                      StateMachineRunId id,
                                                      @NotNull
                                                      CordaFuture<A> returnValue,
                                                      @NotNull
                                                      rx.Observable<java.lang.String> progress)

      Parameters:
        `id` - The started state machine's ID.
        `returnValue` - A `interface CordaFuture` of the flow's return value.
        `progress` - The stream of progress tracker events.

  - ### Method Detail

    - #### copy

          @NotNull
          public FlowProgressHandleImpl<A> copy(@NotNull
                                                         StateMachineRunId id,
                                                         @NotNull
                                                         CordaFuture<A> returnValue,
                                                         @NotNull
                                                         rx.Observable<java.lang.String> progress)

    - #### close

          public void close()

      Use this function for flows whose returnValue and progress are not going to be used or tracked, so as to free up server resources. Note that it won't really close if one subscribes on progress Observable, but then forgets to unsubscribe.

    - #### getId

          @NotNull
          public StateMachineRunId getId()

      The started state machine

      's ID.

    - #### getReturnValue

          @NotNull
          public CordaFuture<A> getReturnValue()

      A

      `interface CordaFuture` of the flow's return value.

      See Also:
        `interface CordaFuture`

    - #### getProgress

          @NotNull
          public rx.Observable<java.lang.String> getProgress()

      The stream of progress tracker events.

    - #### getStepsTreeIndexFeed

          @Nullable
          public DataFeed<java.lang.Integer,java.lang.Integer> getStepsTreeIndexFeed()

      `class DataFeed`

      of current step in the steps tree, see ProgressTracker

      See Also:
        `class DataFeed`, ProgressTracker

    - #### getStepsTreeFeed

          @Nullable
          public DataFeed<java.util.List,java.util.List> getStepsTreeFeed()

      `class DataFeed`

      of current steps tree, see ProgressTracker

      See Also:
        `class DataFeed`, ProgressTracker

    - #### component1

          @NotNull
          public StateMachineRunId component1()

      The started state machine

      's ID.

    - #### component2

          @NotNull
          public CordaFuture<A> component2()

      A

      `interface CordaFuture` of the flow's return value.

      See Also:
        `interface CordaFuture`

    - #### component3

          @NotNull
          public rx.Observable<java.lang.String> component3()

      The stream of progress tracker events.

    - #### component4

          @Nullable
          public DataFeed<java.lang.Integer,java.lang.Integer> component4()

      `class DataFeed`

      of current step in the steps tree, see ProgressTracker

      See Also:
        `class DataFeed`, ProgressTracker

    - #### component5

          @Nullable
          public DataFeed<java.util.List,java.util.List> component5()

      `class DataFeed`

      of current steps tree, see ProgressTracker

      See Also:
        `class DataFeed`, ProgressTracker

    - #### copy

          @NotNull
          public FlowProgressHandleImpl<A> copy(@NotNull
                                                         StateMachineRunId id,
                                                         @NotNull
                                                         CordaFuture<A> returnValue,
                                                         @NotNull
                                                         rx.Observable<java.lang.String> progress,
                                                         @Nullable
                                                         DataFeed<java.lang.Integer,java.lang.Integer> stepsTreeIndexFeed,
                                                         @Nullable
                                                         DataFeed<? extends java.util.List<kotlin.Pair<java.lang.Integer,java.lang.String>>,java.util.List> stepsTreeFeed)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)